Deals
Get deal
Retrieve an existing deal by id.
GET
/
v3
/
deals
/
{id}
Get deal
curl --request GET \
--url https://api.example.com/v3/deals/{id}import requests
url = "https://api.example.com/v3/deals/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v3/deals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"contactId": 123,
"sourcePartnerId": 123,
"stage": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"totalAmount": 123,
"properties": {},
"sourceLeadId": 123,
"status": "Unknown",
"partners": [
{
"id": 123,
"dealId": 123,
"userPartnerOwnerId": 123,
"userPartnerOwnerName": "<string>",
"userPartnerFirstName": "<string>",
"userPartnerLastName": "<string>",
"userPartnerEmail": "<string>",
"userPartnerJobTitle": "<string>",
"userPartnerPhoneNumber": "<string>",
"userPartnerLinkedInProfileUrl": "<string>",
"partnerId": 123,
"partnerTypeId": 123,
"creationDate": "2023-11-07T05:31:56Z",
"partnerName": "<string>",
"partnerTypeName": "<string>"
}
],
"contractStartDate": "2023-11-07T05:31:56Z",
"contractEndDate": "2023-11-07T05:31:56Z",
"ownerUserId": 123,
"owner": {
"id": 123,
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"closeDate": "2023-11-07T05:31:56Z",
"customerId": 123,
"currency": "<string>"
}Path Parameters
The ID of the deal to return.
Response
Deal found
Show child attributes
Show child attributes
Available options:
Unknown, Pending, Accepted, Refused, Expired Show child attributes
Show child attributes
Show child attributes
Show child attributes
Get deal
